using System;
using System.Runtime.Serialization;
using Syncfusion.Windows.Forms.Grid;
using System.Drawing;

namespace MasterDetail
{
	/// <summary>
	/// Summary description for renderer.
	/// </summary>
	public class FunkyDrawRenderer : GridDataBoundTreeCellRenderer
	{
		public FunkyDrawRenderer( GridDataBoundGrid grid, GridCellModelBase model ) : base( grid, model )
		{
			//
			// TODO: Add constructor logic here
			//
		}

		protected override void OnDraw(Graphics g, Rectangle clientRectangle, int rowIndex, int colIndex, GridStyleInfo style)
		{
			base.OnDraw (g, clientRectangle, rowIndex, colIndex, style);

			Brush brush = new SolidBrush( Color.BlueViolet );
			try
			{
				g.FillRectangle(brush,clientRectangle);
			}
			finally
			{
				brush.Dispose();
			}
		}
	}

	/// <summary>
	/// 
	/// </summary>
	public class FunkyDrawModel : GridDataBoundTreeCellModel
	{
		public FunkyDrawModel( GridModel model ) : base( model )
		{
		}

		public FunkyDrawModel( SerializationInfo info, StreamingContext ctx ) : base( info, ctx )
		{
		}

		public override GridCellRendererBase CreateRenderer(GridControlBase control)
		{
			return new FunkyDrawRenderer( control as GridDataBoundGrid, this );
		}
	}
}
